Bug 2478 - Libpng not installed correctly to satisfy dependancies
Libpng not installed correctly to satisfy dependancies
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: libpng (Show other bugs)
6.0
All Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-01 19:08 EDT by izamryan
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-27 15:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description izamryan 1999-05-01 19:08:03 EDT
For some odd reason, libpng was not installed automatically
on my Red Hat 6.0 install, even after choosing to install
Enlightenment and GDM, both of which require libpng or they
will cause some pretty funky errors :

* GDM doesn't display the cool Red Hat logo on it's startup
screen.

* Enlightenment cannot load ?!?!?!?!?!


Also, as a small aside: I recommend that if gnome is
installed, then /etc/sysconfig/desktop should contain
"GNOME" ...
Comment 1 Dale Lovelace 1999-05-27 15:06:59 EDT
The enlightenment RPM requires libpng.

[root@gandalf SPECS]# rpm -qa | grep enlightenment
enlightenment-0.15.5-32
enlightenment-conf-0.15-5
[root@gandalf SPECS]# rpm -q --requires enlightenment
/bin/sh
ld-linux.so.2
libFnlib.so.0
libICE.so.6
libImlib.so.1
libSM.so.6
libX11.so.6
libXext.so.6
libXtst.so.6
libaudiofile.so.0
libc.so.6
libesd.so.0
libjpeg.so.62
libm.so.6
libpng.so.2
libtiff.so.3
libttf.so.2
libungif.so.4
libz.so.1
libm.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.0)

/etc/sysconfig/desktop is for future expansion.

Note You need to log in before you can comment on or make changes to this bug.